Subscribe To Saboteur ATI Radeon Patch On The Way Updates
Tonight Pandemic acknowledged what many PC owners have already realized: computers with ATI Radeon 3000, 4000 or 5000 series graphics cards are having problems running The Saboteur. Fortunately, a patch is in the works.

"This is an issue we are taking very seriously and have been working aggressively to better understand what is causing this issue and how best to resolve," said a Pandemic community manager on the game's forums. "We have a dedicated team working diligently to find a solution. Currently, we have a possible fix (in the way of a patch) that is being internally tested."

Though Pandemic characterizes the ATI issue as the "most pressing," the community manager added that they're monitoring other reported issues as well.

Subscribe to our Newsletter

Blended From Around The Web

 

Related

Hot Topics

Cookie Settings